| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Macros | Enumerations
OgreQuake3Types.h File Reference

## Classes
struct | bsp_brush_t
struct | bsp_brushside_t
struct | bsp_face_t
struct | bsp_header_t
struct | bsp_leaf_t
struct | bsp_lump_entry_t
struct | bsp_model_t
struct | bsp_node_t
struct | bsp_plane_t
struct | bsp_shader_t
struct | bsp_vertex_t
struct | bsp_vis_t

## Macros
#define | BSP_BRUSH_LUMP (8)
#define | BSP_BRUSHSIDES_LUMP (9)
#define | BSP_ELEMENTS_LUMP (11)
#define | BSP_ENTITIES_LUMP (0)
#define | BSP_FACES_LUMP (13)
#define | BSP_FACETYPE_FLARE (4)
#define | BSP_FACETYPE_MESH (3)
#define | BSP_FACETYPE_NORMAL (1)
#define | BSP_FACETYPE_PATCH (2)
#define | BSP_FOG_LUMP (12)
#define | BSP_HEADER_ID (*(int*)"IBSP")
#define | BSP_HEADER_VER (46)
#define | BSP_LBRUSHES_LUMP (6)
#define | BSP_LEAVES_LUMP (4)
#define | BSP_LFACES_LUMP (5)
#define | BSP_LIGHTMAP_BANKSIZE (128*128*3)
#define | BSP_LIGHTMAPS_LUMP (14)
#define | BSP_LIGHTVOLS_LUMP (15)
#define | BSP_MODELS_LUMP (7)
#define | BSP_NODES_LUMP (3)
#define | BSP_PLANES_LUMP (2)
#define | BSP_SHADERS_LUMP (1)
#define | BSP_VERTICES_LUMP (10)
#define | BSP_VISIBILITY_LUMP (16)
#define | CONTENTS_AREAPORTAL 0x8000
#define | CONTENTS_BODY 0x2000000
#define | CONTENTS_CLUSTERPORTAL 0x100000
#define | CONTENTS_CORPSE 0x4000000
#define | CONTENTS_DETAIL 0x8000000
#define | CONTENTS_DONOTENTER 0x200000
#define | CONTENTS_FOG 64
#define | CONTENTS_JUMPPAD 0x80000
#define | CONTENTS_LAVA 8
#define | CONTENTS_MONSTERCLIP 0x20000
#define | CONTENTS_NODROP 0x80000000
#define | CONTENTS_ORIGIN 0x1000000
#define | CONTENTS_PLAYERCLIP 0x10000
#define | CONTENTS_SLIME 16
#define | CONTENTS_SOLID 1
#define | CONTENTS_STRUCTURAL 0x10000000
#define | CONTENTS_TELEPORTER 0x40000
#define | CONTENTS_TRANSLUCENT 0x20000000
#define | CONTENTS_TRIGGER 0x40000000
#define | CONTENTS_WATER 32
#define | SURF_ALPHASHADOW 0x10000
#define | SURF_FLESH 0x40
#define | SURF_HINT 0x100
#define | SURF_LADDER 0x8
#define | SURF_LIGHTFILTER 0x8000
#define | SURF_METALSTEPS 0x1000
#define | SURF_NODAMAGE 0x1
#define | SURF_NODLIGHT 0x20000
#define | SURF_NODRAW 0x80
#define | SURF_NOIMPACT 0x10
#define | SURF_NOLIGHTMAP 0x400
#define | SURF_NOMARKS 0x20
#define | SURF_NONSOLID 0x4000
#define | SURF_NOSTEPS 0x2000
#define | SURF_POINTLIGHT 0x800
#define | SURF_SKIP 0x200
#define | SURF_SKY 0x4
#define | SURF_SLICK 0x2

## Enumerations
enum | { SHADER_NOCULL = 1 << 0, SHADER_TRANSPARENT = 1 << 1, SHADER_DEPTHWRITE = 1 << 2, SHADER_SKY = 1 << 3, SHADER_NOMIPMAPS = 1 << 4, SHADER_NEEDCOLOURS = 1 << 5, SHADER_DEFORMVERTS = 1 << 6 }
enum | { SHADER_LIGHTMAP = 1 << 0, SHADER_BLEND = 1 << 1, SHADER_ALPHAFUNC = 1 << 3, SHADER_TCMOD = 1 << 4, SHADER_ANIMMAP = 1 << 5, SHADER_TCGEN_ENV = 1 << 6 }
enum | DeformFunc { DEFORM_FUNC_NONE = 0, DEFORM_FUNC_BULGE = 1, DEFORM_FUNC_WAVE = 2, DEFORM_FUNC_NORMAL = 3, DEFORM_FUNC_MOVE = 4, DEFORM_FUNC_AUTOSPRITE = 5, DEFORM_FUNC_AUTOSPRITE2 = 6 }
enum | GenFunc { SHADER_GEN_IDENTITY = 0, SHADER_GEN_WAVE = 1, SHADER_GEN_VERTEX = 2 }
enum | TexGen { TEXGEN_BASE = 0, TEXGEN_LIGHTMAP = 1, TEXGEN_ENVIRONMENT = 2 }
enum | WaveType { SHADER_FUNC_NONE = 0, SHADER_FUNC_SIN = 1, SHADER_FUNC_TRIANGLE = 2, SHADER_FUNC_SQUARE = 3, SHADER_FUNC_SAWTOOTH = 4, SHADER_FUNC_INVERSESAWTOOTH = 5 }

## Macro Definition Documentation

## ◆ BSP_HEADER_ID

#define BSP_HEADER_ID (*(int*)"IBSP")

## ◆ BSP_HEADER_VER

#define BSP_HEADER_VER (46)

## ◆ BSP_ENTITIES_LUMP

#define BSP_ENTITIES_LUMP (0)

## ◆ BSP_SHADERS_LUMP

#define BSP_SHADERS_LUMP (1)

## ◆ BSP_PLANES_LUMP

#define BSP_PLANES_LUMP (2)

## ◆ BSP_NODES_LUMP

#define BSP_NODES_LUMP (3)

## ◆ BSP_LEAVES_LUMP

#define BSP_LEAVES_LUMP (4)

## ◆ BSP_LFACES_LUMP

#define BSP_LFACES_LUMP (5)

## ◆ BSP_LBRUSHES_LUMP

#define BSP_LBRUSHES_LUMP (6)

## ◆ BSP_MODELS_LUMP

#define BSP_MODELS_LUMP (7)

## ◆ BSP_BRUSH_LUMP

#define BSP_BRUSH_LUMP (8)

## ◆ BSP_BRUSHSIDES_LUMP

#define BSP_BRUSHSIDES_LUMP (9)

## ◆ BSP_VERTICES_LUMP

#define BSP_VERTICES_LUMP (10)

## ◆ BSP_ELEMENTS_LUMP

#define BSP_ELEMENTS_LUMP (11)

## ◆ BSP_FOG_LUMP

#define BSP_FOG_LUMP (12)

## ◆ BSP_FACES_LUMP

#define BSP_FACES_LUMP (13)

## ◆ BSP_LIGHTMAPS_LUMP

#define BSP_LIGHTMAPS_LUMP (14)

## ◆ BSP_LIGHTVOLS_LUMP

#define BSP_LIGHTVOLS_LUMP (15)

## ◆ BSP_VISIBILITY_LUMP

#define BSP_VISIBILITY_LUMP (16)

## ◆ BSP_LIGHTMAP_BANKSIZE

#define BSP_LIGHTMAP_BANKSIZE (128*128*3)

## ◆ CONTENTS_SOLID

#define CONTENTS_SOLID 1

## ◆ CONTENTS_LAVA

#define CONTENTS_LAVA 8

## ◆ CONTENTS_SLIME

#define CONTENTS_SLIME 16

## ◆ CONTENTS_WATER

#define CONTENTS_WATER 32

## ◆ CONTENTS_FOG

#define CONTENTS_FOG 64

## ◆ CONTENTS_AREAPORTAL

#define CONTENTS_AREAPORTAL 0x8000

## ◆ CONTENTS_PLAYERCLIP

#define CONTENTS_PLAYERCLIP 0x10000

## ◆ CONTENTS_MONSTERCLIP

#define CONTENTS_MONSTERCLIP 0x20000

## ◆ CONTENTS_TELEPORTER

#define CONTENTS_TELEPORTER 0x40000

## ◆ CONTENTS_JUMPPAD

#define CONTENTS_JUMPPAD 0x80000

## ◆ CONTENTS_CLUSTERPORTAL

#define CONTENTS_CLUSTERPORTAL 0x100000

## ◆ CONTENTS_DONOTENTER

#define CONTENTS_DONOTENTER 0x200000

## ◆ CONTENTS_ORIGIN

#define CONTENTS_ORIGIN 0x1000000

## ◆ CONTENTS_BODY

#define CONTENTS_BODY 0x2000000

## ◆ CONTENTS_CORPSE

#define CONTENTS_CORPSE 0x4000000

## ◆ CONTENTS_DETAIL

#define CONTENTS_DETAIL 0x8000000

## ◆ CONTENTS_STRUCTURAL

#define CONTENTS_STRUCTURAL 0x10000000

## ◆ CONTENTS_TRANSLUCENT

#define CONTENTS_TRANSLUCENT 0x20000000

## ◆ CONTENTS_TRIGGER

#define CONTENTS_TRIGGER 0x40000000

## ◆ CONTENTS_NODROP

#define CONTENTS_NODROP 0x80000000

## ◆ SURF_NODAMAGE

#define SURF_NODAMAGE 0x1

## ◆ SURF_SLICK

#define SURF_SLICK 0x2

## ◆ SURF_SKY

#define SURF_SKY 0x4

## ◆ SURF_LADDER

#define SURF_LADDER 0x8

## ◆ SURF_NOIMPACT

#define SURF_NOIMPACT 0x10

## ◆ SURF_NOMARKS

#define SURF_NOMARKS 0x20

## ◆ SURF_FLESH

#define SURF_FLESH 0x40

## ◆ SURF_NODRAW

#define SURF_NODRAW 0x80

## ◆ SURF_HINT

#define SURF_HINT 0x100

## ◆ SURF_SKIP

#define SURF_SKIP 0x200

## ◆ SURF_NOLIGHTMAP

#define SURF_NOLIGHTMAP 0x400

## ◆ SURF_POINTLIGHT

#define SURF_POINTLIGHT 0x800

## ◆ SURF_METALSTEPS

#define SURF_METALSTEPS 0x1000

## ◆ SURF_NOSTEPS

#define SURF_NOSTEPS 0x2000

## ◆ SURF_NONSOLID

#define SURF_NONSOLID 0x4000

## ◆ SURF_LIGHTFILTER

#define SURF_LIGHTFILTER 0x8000

## ◆ SURF_ALPHASHADOW

#define SURF_ALPHASHADOW 0x10000

## ◆ SURF_NODLIGHT

#define SURF_NODLIGHT 0x20000

## ◆ BSP_FACETYPE_NORMAL

#define BSP_FACETYPE_NORMAL (1)

## ◆ BSP_FACETYPE_PATCH

#define BSP_FACETYPE_PATCH (2)

## ◆ BSP_FACETYPE_MESH

#define BSP_FACETYPE_MESH (3)

## ◆ BSP_FACETYPE_FLARE

#define BSP_FACETYPE_FLARE (4)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SHADER_NOCULL |
SHADER_TRANSPARENT |
SHADER_DEPTHWRITE |
SHADER_SKY |
SHADER_NOMIPMAPS |
SHADER_NEEDCOLOURS |
SHADER_DEFORMVERTS |

## ◆ anonymous enum

anonymous enum

Enumerator
SHADER_LIGHTMAP |
SHADER_BLEND |
SHADER_ALPHAFUNC |
SHADER_TCMOD |
SHADER_ANIMMAP |
SHADER_TCGEN_ENV |

## ◆ WaveType

enum WaveType

Enumerator
SHADER_FUNC_NONE |
SHADER_FUNC_SIN |
SHADER_FUNC_TRIANGLE |
SHADER_FUNC_SQUARE |
SHADER_FUNC_SAWTOOTH |
SHADER_FUNC_INVERSESAWTOOTH |

## ◆ GenFunc

enum GenFunc

Enumerator
SHADER_GEN_IDENTITY |
SHADER_GEN_WAVE |
SHADER_GEN_VERTEX |

## ◆ TexGen

enum TexGen

Enumerator
TEXGEN_BASE |
TEXGEN_LIGHTMAP |
TEXGEN_ENVIRONMENT |

## ◆ DeformFunc

enum DeformFunc

Enumerator
DEFORM_FUNC_NONE |
DEFORM_FUNC_BULGE |
DEFORM_FUNC_WAVE |
DEFORM_FUNC_NORMAL |
DEFORM_FUNC_MOVE |
DEFORM_FUNC_AUTOSPRITE |
DEFORM_FUNC_AUTOSPRITE2 |